# This is the CRAN name
%global packname Formula
# This is the main package version
%global packver 1.2
# Note that some R packages do not use packrel
%global packrel 3

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.fc32.lc
Summary: Infrastructure for extended formulas with multiple parts on the right-hand side and/or multiple responses on the left-hand side

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/Formula/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    R-devel, tex(latex)
BuildArch:        noarch
Requires:         R-core

%define debug_package %{nil}

%description
R package:
Infrastructure for extended formulas with multiple parts on the right-hand side and/or multiple responses on the left-hand side

%prep
%setup -q -c -n %{packname}
#Fix line endings
sed -i -e 's/\r//' Formula/inst/doc/Formula*.Rnw

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -p %{packname}/NEWS %{buildroot}%{_libdir}/R/library/%{packname}/

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help

%changelog
* Tue Nov 03 2020 Stuart Raeburn <raeburn@loncapa.org> 1.2.3-1
- Rebuild for R 4.0

* Fri May 29 2020 Stuart Raeburn <raeburn@loncapa.org> 1.2.3-0
- Initial build 

